# H460P_PresenceResponse Class Reference

`#include <h460pres.h>`

Collaboration diagram for H460P_PresenceResponse:

[legend]

## Public Types

| e_tokens
| e_cryptoTokens
enum | OptionalFields { e_tokens, e_cryptoTokens }

## Public Member Functions

| H460P_PresenceResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H460P_ArrayOf_PresenceSubscription | m_subscription
H460P_ArrayOf_ClearToken | m_tokens
H460P_ArrayOf_CryptoH323Token | m_cryptoTokens

## Member Enumeration Documentation

enum H460P_PresenceResponse::OptionalFields

Enumerator:

  e_tokens |
  e_cryptoTokens |

## Constructor & Destructor Documentation

H460P_PresenceResponse::H460P_PresenceResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceResponse::Clone | ( |  | ) | const

Comparison H460P_PresenceResponse::Compare | ( | const PObject & | obj | ) | const

PBoolean H460P_PresenceResponse::Decode | ( | PASN_Stream & | strm | ) |

void H460P_PresenceResponse::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H460P_PresenceResponse::GetDataLength | ( |  | ) | const

void H460P_PresenceResponse::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H460P_ArrayOf_CryptoH323Token H460P_PresenceResponse::m_cryptoTokens

H460P_ArrayOf_PresenceSubscription H460P_PresenceResponse::m_subscription

H460P_ArrayOf_ClearToken H460P_PresenceResponse::m_tokens

The documentation for this class was generated from the following file:

- h460pres.h